Subject: TIGA chip/docs

From: Bill Broadley <[email-masked]>
Date: Mon, 28 Jun 1993 12:14:16 -0500 (EDT)

I havea really cool tiga interface users guide, which seems to be a full
c library for dos to use the tiga chip (Not sure if source is available).

Also of interest TMS340 Family code generation tools users guide literature
number SPVU020.
        Describes the c compiler, assembler, linker, and archiver for the
ths340X0 graphics system processors.

So apparently they already have the c compiler (I think it's free).

Ti has been very generous with the documentation (we got it free)
which is a big win.

I tried to call for prices but I didn't have any parts numbers.

-- 
Bill					1st>	[email-masked]
[email-masked] <2nd 	3rd> 	             [email-masked]
Linux is great.         Bike to live, live to bike.                      PGP-ok

From [email-masked]  Ukn Jun 29 00:26:14 1993
From: [email-masked] (Stephen Camp)
Subject: Re: TIGA chip/docs
To: [email-masked]
Date: Mon, 28 Jun 1993 22:27:01 -0700 (MDT)
Content-Length: 4086      
Status: RO

> 
> I havea really cool tiga interface users guide, which seems to be a full
> c library for dos to use the tiga chip (Not sure if source is available).
> 
> Also of interest TMS340 Family code generation tools users guide literature
> number SPVU020.
>         Describes the c compiler, assembler, linker, and archiver for the
> ths340X0 graphics system processors.
> 
> So apparently they already have the c compiler (I think it's free).
> 
> Ti has been very generous with the documentation (we got it free)
> which is a big win.
> 
> I tried to call for prices but I didn't have any parts numbers.

I hate to rain on Bill's parade, BUT... the TI SDK (Software Developer's
Kit) for TIGA boards (340x0), costs ~ $1500 (US).  The Tiga DDK's (Driver
Developer's Kits) are free.  They have the Tiga library that you can down-
load onto the TIGA board (i.e. they are 340x0 executables), and you then
send commands from the CPU to the 340x0 to execute such and such a Tiga
routine.  If you want to write native code for the 340x0, you have to have
the SDK ($1500 US), and if you want to "extend" the tiga library by writing
your own routines and linking them into the tiga library, you have to 
get the SDK.

NOTE, the SDK is only available for DOS (80x86 arch) :-(.  I think someone
ported it to UNIX (80x86), but I don't think it's for sale.  MetroLink,
they do a lot of Xservers, has a TIGA product, but I think they ran the 
SDK under VP/ix under 386 Unix (I think) to do their development work.  They
do not recommend 340x0 boards for X.  However, as best I can tell, the X
server is not running completely on the 340x0 board, they only download
the TIGA library, and then make graphics calls to the 340x0, so the host
CPU has to still do a lot of work.

BY contrast, I have a Hercules GraphicStation Card (60Mhz 34010, 1MB VRAM,
2MB DRAM - for data / code) and I have run the Xoftware Xserver by AGElogic
on it.  AGElogic wrote the Xserver in native 340x0 code.  They DID NOT USE
TIGA!  As a result, the entire Xserver was offloaded to the 34010.  My 
impressions of it's performance:  

	raw speed - slower than an ATI Graphics Ultra
	usable speed - faster than an ATI Graphics Ultra
		     - the 'feel' of window operations - opening icons,
			closing icons, moving windows, resizing windows,
			scrolling, etc - was 'on the order of' a Sparc 1-2,
			and a Personal Iris.  NOTE: this was the feel
			of window operations, not raw graphics speed -
			line drawing speed, arcs etc was slower, sometimes
			much slower.

	caveat:  machine is a 386/25mhz w/ 64K cache, 8Mb ram.  This machine
		is slow - similar to a sun 260.  However, it was much more
		usable with the 34010 card and the offloaded Xserver, than
		it is now with a Graphics Ultra.  I could have 6-12 windows
		open, have kaleid or psycho running, plus running a a couple
		emacs, and doing one or two compiles, and the graphics was
		still usable - on a 25Mhz 386!!!

	However, as it has been noted, TI is abandoning TIGA.  I don't know
how much support TI would give us in the future.  Plus the SDK is $1500!
Would they donate it to us?  I have no clue.

	What about the Weitek Power9000 (the GX in the Sun GX graphics)?  It's
available.  It's very fast.  If not, I'd recommend either an S3 chip (801 or
928), or the ATI Mach32.  Matrox has just come out with a 3D piece of Silicon.
They are claiming an absurd amount of Winmarks (>60000?).  It supports a 
Z buffer etc.  Yeah, maybe it's pie in the sky, and yes, maybe it makes things
hard as hell... I'm just thinking out loud here.

I'm told there will be PC (ISA/EISA/PCI/VESA) 3D cards <$1000 this coming year)
- the next 6 months maybe?... So, would it be worth it to put a bus on this
thing and let users get their favorite card?

Another idea - let the R3k do all the graphics stuff... but make it possible
to put a DSP on the board ... people are starting to do all sorts of nifty
3D stuff with DSPs.  If there was a dumb frame buffer for video, that the
R3k and the DSP could both access... just a thought.

-steve camp
[email-masked]

From [email-masked]  Ukn Jun 29 00:37:01 1993
From: [email-masked] (Jeremy Fitzhardinge)
Subject: Re: TIGA chip/docs
To: [email-masked] (Bill Broadley)
Date: Tue, 29 Jun 1993 14:13:18 +1000 (EST)
Cc: [email-masked]
Organization: Softway Pty Ltd
Content-Length: 887       
Status: RO

Bill Broadley bubbles:

> I havea really cool tiga interface users guide, which seems to be a full
> c library for dos to use the tiga chip (Not sure if source is available).

> Also of interest TMS340 Family code generation tools users guide literature
> number SPVU020.
>         Describes the c compiler, assembler, linker, and archiver for the
> ths340X0 graphics system processors.

> So apparently they already have the c compiler (I think it's free).

> Ti has been very generous with the documentation (we got it free)
> which is a big win.

> I tried to call for prices but I didn't have any parts numbers.

A few years ago, TI were charging A$1-2k for a PC development system
binaries.  It was pretty bad, so a friend of mind wrote a C compiler,
assembler and linker for the 34k.  If necessary I can ask him if
we can have at least binary distribution for linux for ~free.

	J